﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CONM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONM_CONTRACTPENTRY') 
 CREATE TABLE T_CONM_CONTRACTPENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPAYNAMEID BIGINT DEFAULT 0 NOT NULL,
FPAYDATE DATETIME,
FPAYRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISPREPAY CHAR(1) DEFAULT '0' NOT NULL,
FJOINPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPAIDAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPAYENTRYCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONM_PURCONTRACTPENTRY') 
 CREATE TABLE T_CONM_PURCONTRACTPENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPAYNAMEID BIGINT DEFAULT 0 NOT NULL,
FPAYDATE DATETIME,
FPAYRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISPREPAY CHAR(1) DEFAULT '0' NOT NULL,
FJOINPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPAIDAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPAYENTRYCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONM_SALCONTRACTPENTRY') 
 CREATE TABLE T_CONM_SALCONTRACTPENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPAYNAMEID BIGINT DEFAULT 0 NOT NULL,
FPAYDATE DATETIME,
FPAYRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISPREPAY CHAR(1) DEFAULT '0' NOT NULL,
FJOINPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPAIDAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPAYENTRYCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_CONTRACT_F' AND KSQL_COL_NAME ='FISPAYRATE') 
 ALTER TABLE T_CONM_CONTRACT_F ADD (FISPAYRATE CHAR(1) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT_F' AND KSQL_COL_NAME ='FISPAYRATE') 
 ALTER TABLE T_CONM_PURCONTRACT_F ADD (FISPAYRATE CHAR(1) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT_F' AND KSQL_COL_NAME ='FISPAYRATE') 
 ALTER TABLE T_CONM_SALCONTRACT_F ADD (FISPAYRATE CHAR(1) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_TERM_L' AND KSQL_COL_NAME ='FTERMCONTENT') 
 ALTER TABLE T_CONM_TERM_L ADD (FTERMCONTENT NVARCHAR(2000) DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_TERMCOMPENTRY_L' AND KSQL_COL_NAME ='FTERMCONTENT') 
 ALTER TABLE T_CONM_TERMCOMPENTRY_L ADD (FTERMCONTENT NVARCHAR(2000) DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_TERMCOMP' AND KSQL_COL_NAME ='FTEMPLATEENTRYID') 
 ALTER TABLE T_CONM_TERMCOMP ADD (FTEMPLATEENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_COMPONENT' AND KSQL_COL_NAME ='FISSYS') 
 ALTER TABLE T_CONM_COMPONENT ADD (FISSYS CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_TEMPLATE' AND KSQL_COL_NAME ='FISSYS') 
 ALTER TABLE T_CONM_TEMPLATE ADD (FISSYS CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_TYPE' AND KSQL_COL_NAME ='FISSYS') 
 ALTER TABLE T_CONM_TYPE ADD (FISSYS CHAR(1) DEFAULT '0' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CONM_table.sql **/
