﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CONM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONM_ATTACHENTRY') 
 CREATE TABLE T_CONM_ATTACHENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FFILENAME NVARCHAR(255),
FFILEMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FVERSION VARCHAR(80) DEFAULT ' ' NOT NULL,
FENABLESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FTEMPLATENUM NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURENDAGRT' AND KSQL_COL_NAME ='FTEMPLATEENTRYID') 
 ALTER TABLE T_CONM_PURENDAGRT ADD (FTEMPLATEENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURSUPAGRT' AND KSQL_COL_NAME ='FTEMPLATEENTRYID') 
 ALTER TABLE T_CONM_PURSUPAGRT ADD (FTEMPLATEENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALENDAGRT' AND KSQL_COL_NAME ='FTEMPLATEENTRYID') 
 ALTER TABLE T_CONM_SALENDAGRT ADD (FTEMPLATEENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALSUPAGRT' AND KSQL_COL_NAME ='FTEMPLATEENTRYID') 
 ALTER TABLE T_CONM_SALSUPAGRT ADD (FTEMPLATEENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_PURCONTRACT' AND KSQL_COL_NAME ='FTEMPLATEENTRYID') 
 ALTER TABLE T_CONM_PURCONTRACT ADD (FTEMPLATEENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_SALCONTRACT' AND KSQL_COL_NAME ='FTEMPLATEENTRYID') 
 ALTER TABLE T_CONM_SALCONTRACT ADD (FTEMPLATEENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_XPURCONTRACT' AND KSQL_COL_NAME ='FTEMPLATEENTRYID') 
 ALTER TABLE T_CONM_XPURCONTRACT ADD (FTEMPLATEENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_XSALCONTRACT' AND KSQL_COL_NAME ='FTEMPLATEENTRYID') 
 ALTER TABLE T_CONM_XSALCONTRACT ADD (FTEMPLATEENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONM_ATTACHMENT') 
 CREATE TABLE T_CONM_ATTACHMENT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_TYPE' AND KSQL_COL_NAME ='FACTIVEREVIEW') 
 ALTER TABLE T_CONM_TYPE ADD (FACTIVEREVIEW CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_TYPE' AND KSQL_COL_NAME ='FACTIVESIGN') 
 ALTER TABLE T_CONM_TYPE ADD (FACTIVESIGN CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_TYPE' AND KSQL_COL_NAME ='FACTIVEARCHIVE') 
 ALTER TABLE T_CONM_TYPE ADD (FACTIVEARCHIVE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_TYPE' AND KSQL_COL_NAME ='FENABLEARCHIVE') 
 ALTER TABLE T_CONM_TYPE ADD (FENABLEARCHIVE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_TYPE' AND KSQL_COL_NAME ='FAUTOVALID') 
 ALTER TABLE T_CONM_TYPE ADD (FAUTOVALID CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CONM_TYPE' AND KSQL_COL_NAME ='FAUTOENDING') 
 ALTER TABLE T_CONM_TYPE ADD (FAUTOENDING CHAR(1) DEFAULT '0' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CONM_table.sql **/
