/** 单据类型参数升级 */
-- 采购合同
update t_bas_billtypeparameter set fdata = '{"template":{"number":"PurContract_TPL_S","masterid":712902043676831744,"_Type_":"conm_template","multilanguagetext":[{"_Type_":"locale","pkid":"0H7MA8HJLI=B","name":"采购合同模板","description":"","localeid":"en_US"},{"_Type_":"locale","pkid":"07JEO+=+OFZX","name":"采购合同模板","description":"","localeid":"zh_CN"},{"_Type_":"locale","pkid":"07JEO+=+OFZY","name":"采購合同模板","description":"","localeid":"zh_TW"}],"contype_id":712021156571496448,"name":{"zh_TW":"采購合同模板","en_US":"采购合同模板","zh_CN":"采购合同模板"},"id":712902043676831744,"contype":{"number":"Contract_Purchases_STD","masterid":712021156571496448,"_Type_":"conm_type","multilanguagetext":[{"_Type_":"locale","pkid":"07F71ZXE40B=","name":"标准采购合同","description":"","localeid":"zh_CN"},{"_Type_":"locale","pkid":"07F71ZXE40BA","name":"標準採購合同","description":"","localeid":"zh_TW"}],"name":{"zh_TW":"標準採購合同","zh_CN":"标准采购合同"},"id":712021156571496448}},"_Type_":"conm_purbilltypeparameter","category_id":860129821311646720,"template_id":712902043676831744,"category":{"number":"Contract_Purchases","masterid":860129821311646720,"_Type_":"conm_category","multilanguagetext":[{"_Type_":"locale","pkid":"0OMSJ=+K7T=M","name":"采购合同","description":"","localeid":"zh_CN"},{"_Type_":"locale","pkid":"0OMSJ=+K7T=N","name":"采購合同","description":"","localeid":"zh_TW"}],"enable":"1","name":{"zh_TW":"采購合同","zh_CN":"采购合同"},"id":860129821311646720},"issys":false}'									  
where fbilltypeid = 712981204034394112 and fformid = 'conm_purcontract';
-- 销售合同
update t_bas_billtypeparameter set fdata = '{"template":{"number":"SalContract_TPL_S","masterid":712902459642612736,"_Type_":"conm_template","multilanguagetext":[{"_Type_":"locale","pkid":"0H7MB7I4=81S","name":"销售合同模板","description":"","localeid":"en_US"},{"_Type_":"locale","pkid":"07JER/GLPJ51","name":"销售合同模板","description":"","localeid":"zh_CN"},{"_Type_":"locale","pkid":"07JER/GLPJ52","name":"銷售合同模板","description":"","localeid":"zh_TW"}],"contype_id":712025101691872256,"name":{"zh_TW":"銷售合同模板","en_US":"销售合同模板","zh_CN":"销售合同模板"},"id":712902459642612736,"contype":{"number":"Contract_Sale_STD","masterid":712025101691872256,"_Type_":"conm_type","multilanguagetext":[{"_Type_":"locale","pkid":"07F7TQ1E7M8/","name":"标准销售合同","description":"","localeid":"zh_CN"},{"_Type_":"locale","pkid":"07F7TQ1E7M80","name":"標準銷售合同","description":"","localeid":"zh_TW"}],"name":{"zh_TW":"標準銷售合同","zh_CN":"标准销售合同"},"id":712025101691872256}},"_Type_":"conm_salbilltypeparameter","category_id":858475791539817472,"template_id":712902459642612736,"category":{"number":"Contract_Sale","masterid":858475791539817472,"_Type_":"conm_category","multilanguagetext":[{"_Type_":"locale","pkid":"0OEVHDBEMQNQ","name":"销售合同","description":"","localeid":"zh_CN"},{"_Type_":"locale","pkid":"0OEVHDBEMQNR","name":"銷售合同","description":"","localeid":"zh_TW"}],"enable":"1","name":{"zh_TW":"銷售合同","zh_CN":"销售合同"},"id":858475791539817472},"issys":false}'
where fbilltypeid = 712978121028015104 and fformid = 'conm_salcontract';

-- 支出，收入合同元数据已经删除，删除对应的单据类型
delete from t_bas_billtype where fid in ( 712980212207332352, 712980805114145792 );
delete from t_bas_billtype_l where fid in ( 712980212207332352, 712980805114145792 );
delete from t_bas_billtypeparameter where fbilltypeid = 712980212207332352;
delete from t_bas_billtypeparameter where fbilltypeid = 712980805114145792;

/** 编码规则升级 */
-- 采购合同
-- 第一段编码 ： 常量 CGHT
update t_cr_coderuleentry set FATTRIBUTETYPE = '1', FATTUSINGMODE = '1', FVALUEATRIBUTE = ' ',  FFORMAT = 'CGHT', FLENGTH = 8, FADDCHAR = ' ', FISSORTITEM = '0' where fentryid = '08+4RL14/YBC';
-- 第二段编码 ： 取签订日期 yyyyMM
update t_cr_coderuleentry set FFORMAT = 'yyyyMM' where fentryid = '08+4RL14/YBD';
-- 第三段编码 ： 流水号 长度4
update t_cr_coderuleentry set FLENGTH = 4 where fentryid = '08+4RL14/YBE';

-- 销售合同
-- 第一段编码 ： 常量 XSHT
update t_cr_coderuleentry set FATTRIBUTETYPE = '1', FATTUSINGMODE = '1', FVALUEATRIBUTE = ' ',  FFORMAT = 'XSHT', FLENGTH = 8, FADDCHAR = ' ', FISSORTITEM = '0' where fentryid = '08+50B18XYDY';
-- 第二段编码 ： 取签订日期 yyyyMM
update t_cr_coderuleentry set FFORMAT = 'yyyyMM' where fentryid = '08+50B18XYDZ';
-- 第三段编码 ： 流水号 长度4
update t_cr_coderuleentry set FLENGTH = 4 where fentryid = '08+50B18XYE+';

-- 支出，收入合同元数据已经删除，删除对应的编码规则
delete from t_cr_coderule where fid in ( '08+4LPXXPTZD', '08+4XA13JT2M' );
delete from t_cr_coderule_l where fid in ( '08+4LPXXPTZD', '08+4XA13JT2M' );
delete from t_cr_coderuleentry where fid in ( '08+4LPXXPTZD', '08+4XA13JT2M' );




