/** 合同类型新加字段【可执行，业务类型，合同属性，合同种种类】升级 */
/** 升级 合同类型.采购合同*/
-- 【可执行】 升级为 ture
update t_conm_type set fisexecute = '1' where fid = 712021156571496448; 
-- 【业务类型】升级为“物料类采购”；
update t_conm_type set fbiztypeid = 422857170485263360 where fid = 712021156571496448 and (fbiztypeid = 0 or fbiztypeid is null); 
-- 【合同属性】升级为“合同”
update t_conm_type set fconmprop = 'B' where fid = 712021156571496448 and (fconmprop = ' ' or fconmprop is null); 

-- 升级合同种类字段
-- 【合同性质】=采购时，新【合同种类】=采购合同。（ps: 合同性质字段在升级时已经被标注为废弃）
update t_conm_type 
set fcontcategoryid = 860129821311646720
where fid = 712021156571496448 and fcategory = 'PUR' and (fcontcategoryid = 0 or fcontcategoryid is null);  

-- 修改名称
update t_conm_type_l set fname = '标准采购合同' where fid = 712021156571496448 and flocaleid = 'zh_CN';
update t_conm_type_l set fname = '標準採購合同' where fid = 712021156571496448 and flocaleid = 'zh_TW';

---------------------------------------- ---------------------------------------------------
/** 升级 合同类型.采购合同 */
-- 【可执行】升级为 ture
update t_conm_type set fisexecute = '1' where fid = 712025101691872256;
-- “销售合同”：【业务类型】升级为“物料类销售”
update t_conm_type set fbiztypeid = 422876630176775168 where fid = 712025101691872256 and (fbiztypeid = 0 or fbiztypeid is null);
-- 【合同属性】升级为“合同”
update t_conm_type set fconmprop = 'B' where fid = 712025101691872256 and (fconmprop = ' ' or fconmprop is null);

-- 升级合同种类字段
-- 【合同性质】=销售时，新【合同种类】=销售合同。（ps: 合同性质字段在升级时已经被标注为废弃）
update t_conm_type 
set fcontcategoryid = 858475791539817472
where fid = 712025101691872256 and fcategory = 'SAL' and (fcontcategoryid = 0 or fcontcategoryid is null);  

-- 修改名称
update t_conm_type_l set fname = '标准销售合同' where fid = 712025101691872256 and flocaleid = 'zh_CN';
update t_conm_type_l set fname = '標準銷售合同' where fid = 712025101691872256 and flocaleid = 'zh_TW';

/** 合同类型收入合同/支出合同预置数据（元数据实体已经删除，删除预置数据）：删除收入、支出合同 */
delete from t_conm_type where fid in (712025632925663232, 712025848462557184);
delete from t_conm_type_L where fid in (712025632925663232, 712025848462557184);

---------------------------------------- ---------------------------------------------------
/** 合同模板新加字段【合同实体】 */
-- 采购合同模板 合同实体升级为采购合同
update t_conm_template set fcontentity = 'conm_purcontract' where fid = 712902043676831744 and ( fcontentity = ' ' or fcontentity is null );
-- 销售合同模板 合同实体升级为销售合同
update t_conm_template set fcontentity = 'conm_salcontract' where fid = 712902459642612736 and ( fcontentity = ' ' or fcontentity is null );

/** 合同模板收入合同/支出合同预置数据（元数据实体已经删除，删除预置数据）：删除收入模板、支出合同模板 */
delete from t_conm_template where fid in (712902889827208192, 712903166181510144);
delete from t_conm_template_L where fid in (712902889827208192, 712903166181510144);
