﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CONM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_CONM_PORECENTRY', 'T_CONM_PORECENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_PORECENTRY_FID') CREATE INDEX IDX_CONM_PORECENTRY_FID ON T_CONM_PORECENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_CONM_PORECORD', 'T_CONM_PORECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_PORECORD_BILLNO') CREATE INDEX IDX_CONM_PORECORD_BILLNO ON T_CONM_PORECORD ( FBILLNO  DESC );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_PORECORD_ORG') CREATE INDEX IDX_CONM_PORECORD_ORG ON T_CONM_PORECORD ( FORGID ,FBIZTIME  DESC ,FBILLNO  DESC );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_PORECORD_BIZTIME') CREATE INDEX IDX_CONM_PORECORD_BIZTIME ON T_CONM_PORECORD ( FBIZTIME  DESC );


 EXEC P_ALTERPK 'PK_T_CONM_PORECORD_L', 'T_CONM_PORECORD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_PORECORD_L_FID') CREATE INDEX IDX_CONM_PORECORD_L_FID ON T_CONM_PORECORD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_CONM_RECORDRULE', 'T_CONM_RECORDRULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_RECORDRULE_NUM') CREATE INDEX IDX_CONM_RECORDRULE_NUM ON T_CONM_RECORDRULE ( FNUMBER  DESC );


 EXEC P_ALTERPK 'PK_T_CONM_RECORDRULE_FE', 'T_CONM_RECORDRULE_FE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_RECORDRULE_FE_FID') CREATE INDEX IDX_CONM_RECORDRULE_FE_FID ON T_CONM_RECORDRULE_FE ( FID );


 EXEC P_ALTERPK 'PK_T_CONM_RECORDRULE_L', 'T_CONM_RECORDRULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_RECORDRULE_L_FID') CREATE INDEX IDX_CONM_RECORDRULE_L_FID ON T_CONM_RECORDRULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_CONM_RECORDRULE_OE', 'T_CONM_RECORDRULE_OE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_RECORDRULE_OE_FID') CREATE INDEX IDX_CONM_RECORDRULE_OE_FID ON T_CONM_RECORDRULE_OE ( FID );


 EXEC P_ALTERPK 'PK_T_CONM_RECORDSCHEME_L', 'T_CONM_RECORDSCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_RECORDSCHEME_L_FID') CREATE INDEX IDX_CONM_RECORDSCHEME_L_FID ON T_CONM_RECORDSCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_CONM_RECORDSCHEMEE', 'T_CONM_RECORDSCHEMEE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_RECORDSCHEMEE_FID') CREATE INDEX IDX_CONM_RECORDSCHEMEE_FID ON T_CONM_RECORDSCHEMEE ( FID );


 EXEC P_ALTERPK 'PK_T_CONM_RECORDSCHEME', 'T_CONM_RECORDSCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONM_RECORDSCHEME_NUM') CREATE INDEX IDX_CONM_RECORDSCHEME_NUM ON T_CONM_RECORDSCHEME ( FNUMBER  DESC );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CONM_constraint.sql **/
